## org.apache.poi.xwpf.model
Class XWPFParagraphDecorator

    java.lang.Object
      org.apache.poi.xwpf.model.XWPFParagraphDecorator

Direct Known Subclasses:
  XWPFCommentsDecorator, XWPFHyperlinkDecorator

    public abstract class XWPFParagraphDecorator

extends java.lang.Object

Base decorator class for XWPFParagraph

Field Summary
`protected XWPFParagraphDecorator` `nextDecorator`
`protected XWPFParagraph` `paragraph`

Constructor Summary
`XWPFParagraphDecorator(XWPFParagraph paragraph)`
`XWPFParagraphDecorator(XWPFParagraph paragraph, XWPFParagraphDecorator nextDecorator)`

Method Summary
`java.lang.String` `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paragraph

    protected XWPFParagraph paragraph

### nextDecorator

    protected XWPFParagraphDecorator nextDecorator

Constructor Detail

### XWPFParagraphDecorator

    public XWPFParagraphDecorator(XWPFParagraph paragraph)

### XWPFParagraphDecorator

    public XWPFParagraphDecorator(XWPFParagraph paragraph,
                                  XWPFParagraphDecorator nextDecorator)

Method Detail

### getText

    public java.lang.String getText()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.